﻿function InstallExtension() {
    & pnputil /add-driver "$($PSScriptRoot)\..\Extension\AVoluteNH3Ext.inf" /install
}
function InstallSoftwareComponent() {
    & pnputil /add-driver "$($PSScriptRoot)\..\SWC\A-VoluteNh3ApoSwc.inf" /install
}
function SetNahimicRegistryKeyPermissions() {
    $acl = Get-Acl HKLM:\Software\Nahimic
    $rule = New-Object System.Security.AccessControl.RegistryAccessRule("NT AUTHORITY\LOCAL SERVICE", "FullControl",  @("ContainerInherit","ObjectInherit"), "None", "Allow")
    $acl.SetAccessRule($rule)
    $acl | Set-Acl -Path HKLM:\SOFTWARE\Nahimic
}
InstallExtension
InstallSoftwareComponent
SetNahimicRegistryKeyPermissions
Write-Host "System reboot is needed to complete installation"
Restart-Computer -Confirm -Force
pause